# bloop `v1.2.3` :surfer:

## Upgrade guide :electric_plug:

This section describes the upgrade steps. If you don't have bloop installed, please read
the [installation instructions][] instead.

If you're on macOS, **upgrade** to the latest version with:

```sh
$ brew upgrade scalacenter/bloop/bloop
$ brew services restart bloop
```

If you're on Windows using `scoop`, **upgrade** to the latest version with:

```sh
$ scoop upgrade bloop
$ bloop ng-stop
$ // Start the server as you usually do (via systemd, manually, desktop services)
```

Otherwise, run:

```
$ curl -L https://github.com/scalacenter/bloop/releases/download/v1.2.3/install.py | python
$ bloop ng-stop
$ // Start the server as you usually do (via systemd, manually, desktop services)
```

Read the complete installation instructions in our [Installation page][installation instructions].

## Highlights :books:

`v1.2.3` is only a bugfix release.

### Don't fail installation when Python 3 is used and http_proxy is defined

See https://github.com/scalacenter/homebrew-bloop/issues/4 for more details.

### Disable failed process logs in launcher ([#798](https://github.com/scalacenter/bloop/pull/798))

This change clears up the logs of the launcher when processes are run and
they fail. See the linked pull request for more details.

## Contributors :busts_in_silhouette:

According to `git shortlog -sn --no-merges v1.2.2..v1.2.2`, 2 people contributed to this `v1.2.2`
release: Jorge Vicente Cantero, marek1840.

[installation instructions]: https://scalacenter.github.io/bloop/setup